=== modified file 'bzrlib/sign_my_commits.py'
--- bzrlib/sign_my_commits.py	2011-04-07 10:36:24 +0000
+++ bzrlib/sign_my_commits.py	2011-06-16 11:57:36 +0000
@@ -22,6 +22,7 @@
 from bzrlib import (
     bzrdir as _mod_bzrdir,
     gpg,
+    revision as _mod_revision,
     )
 """)
 from bzrlib.commands import Command
@@ -64,9 +65,13 @@
         count = 0
         repo.lock_write()
         try:
+            graph = repo.get_graph()
             repo.start_write_group()
             try:
-                for rev_id in repo.get_ancestry(branch.last_revision())[1:]:
+                for rev_id, parents in graph.iter_ancestry(
+                        [branch.last_revision()]):
+                    if _mod_revision.is_null(rev_id):
+                        continue
                     if repo.has_signature_for_revision_id(rev_id):
                         continue
                     rev = repo.get_revision(rev_id)

